BCM4312 Wifi working but at 1Mb/s

Bug #201225 reported by Elringer on 2008-03-11
88
This bug affects 9 people
Affects Status Importance Assigned to Milestone
b43-fwcutter (Ubuntu)
Undecided
Unassigned
Nominated for Hardy by Douglas King
Nominated for Intrepid by Douglas King
Nominated for Jaunty by Douglas King
linux (Ubuntu)
Undecided
Unassigned
Nominated for Hardy by Douglas King
Nominated for Intrepid by Douglas King
Nominated for Jaunty by Douglas King

Bug Description

Binary package hint: b43-fwcutter

ritch@ritch-laptop:~$ DISTRIB_ID=Ubuntu
ritch@ritch-laptop:~$ DISTRIB_RELEASE=8.04
ritch@ritch-laptop:~$ DISTRIB_CODENAME=hardy
ritch@ritch-laptop:~$ uname -a
Linux ritch-laptop 2.6.24-12-generic #1 SMP Mon Mar 10 15:32:00 UTC 2008 i686 GNU/Linux
ritch@ritch-laptop:~$ apt-cache policy b43-fwcutter
b43-fwcutter:
  Installé : 1:011-1
  Candidat : 1:011-1
 Table de version :
 *** 1:011-1 0
        500 http://fr.archive.ubuntu.com hardy/universe Packages
        100 /var/lib/dpkg/status

-----------------------------------------------------------------------------------------------------------------
I have a probleme with the speed of my wifi network, in first i would like to tell that on Gusty and with the bcm43xx all work perfect. since i make a fresh install of hardy i can make working my wifi but at 1Mb/s :

iwconfig
lo no wireless extensions.

eth0 no wireless extensions.

wmaster0 no wireless extensions.

wlan0 IEEE 802.11g ESSID:"XXXXXXXX"
          Mode:Managed Frequency:2.412 GHz Access Point: 00:0F:XXXXXXX0
          Bit Rate=1 Mb/s Tx-Power=27 dBm
          Retry min limit:7 RTS thr:off Fragment thr=2346 B
          Link Quality=86/100 Signal level=-88 dBm Noise level=-68 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0

my laptop is a DELL D420 with Broadcom 4311 rev 01

 lsmod | grep b43
b43 118176 0
rfkill 8592 3 rfkill_input,b43
mac80211 165652 1 b43
led_class 6020 1 b43
input_polldev 5896 1 b43
ssb 32772 1 b43

dsmeg give me :
[ 200.598275] b43-phy0: Broadcom 4311 WLAN found
[ 200.670930] phy0: Selected rate control algorithm 'simple'
[ 200.948601] b43-phy1: Broadcom 4311 WLAN found
[ 201.019070] phy1: Selected rate control algorithm 'simple'
[ 201.132411] input: b43-phy1 as /devices/virtual/input/input9
[ 202.817729] Registered led device: b43-phy1:tx
[ 202.818325] Registered led device: b43-phy1:rx
[ 202.818826] Registered led device: b43-phy1:radio
[ 202.864509] ADDRCONF(NETDEV_UP): wlan0: link is not ready

 lspci -vvnn :
0c:00.0 Network controller [0280]: Broadcom Corporation BCM4312 802.11a/b/g [14e4:4312] (rev 01)
 Subsystem: Dell Unknown device [1028:0007]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 17
 Region 0: Memory at efdfc000 (32-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>

like you can view i try to update to the last b43 but it the same : my wifi work but a 1Mb/s and with lot of lose of conexion.

ps : sorry for my bad english :(

Geoffrey (geoffrey-metais) wrote :

same issue with a bcm4306 on kubuntu hardy 64

Eder Bastos (riskbreaker927) wrote :

I have the same issue running Ubuntu 8.04 beta on an inspiron 1501:

earl@mbrainprime:~$ lspci | grep wlan
05:00.0 Network controller: Broadcom Corporation BCM94311MCG wlan mini-PCI (rev 01)

I have identical output from lsmod and dmesg.

Elringer (elringer) wrote :

Fresh install and it's the same : Nothing work

lispy (janietz) wrote :

Same problem on my Dell D505. Everything worked fine with gutsy and bcm43xx.

Jack (ubuntu-chrisjs) wrote :

Same with Dell Inspiron 1525, fresh install. Can't even listen to streaming music without it breaking =/ Tried being a foot away from wireless and still only at 1MB/s, occasionally going up to 5MB/s for a few moments.

peedee (troepvoordeprullenbak) wrote :

disconnect from the network and type: sudo iwconfig wlan0 rate 54M it worked for me.

Geoffrey (geoffrey-metais) wrote :

Doing this I have 54Mbits/sec displayed when I check the wireless interface but the bitrate is still very slow.

Eder Bastos (riskbreaker927) wrote :

Agreed. I used 11M and now 11Mb/sec is reported. The system monitor applet shows that my transfers cap at around 70KB/sec. I get around 700KB/sec wired from the same router.

peedee (troepvoordeprullenbak) wrote :

first of all i'm a linux newbie. it seems that i don have the b43-fwcutter any more, so i guess my first post is not a bug report!!
at the moment i posted it i had the b43 under the hardware drivers menu.
i was desperately searching for a solution to make my wlan working. so i tried a lot.

because hardy in development state is't properly no out of the box solution. but for the human's like me who can't wait.
i uninstalled the b43-cutter and used this package unhttp://packages.ubuntu.com/hardy/ndisgtk
downloaded the windows driver from my laptop manufacture. extracted it with carbextract, and installed it whit the program (in my case HP vista drivers 1.6.inf didn't work for me bud the xp drivers 1,5.inf did the job.)

Colin (dentarthurdent) wrote :

hope i'm adding to the information on this bug: Dell Inspiron 600m, using b43-fwcutter. gutsy used to connect flawlessly through walls about 40 feet away, but upgrade/fresh install of hardy now needs to be within about 10 feet from my n-router

Colin (dentarthurdent) wrote :

^ ok the above has been rectified after the latest batch of updates :) thanks to whoever fixed it!!

lispy (janietz) wrote :

Glad it's working for you. But here on the Dell 505 it's the same thing. I also didn't see any related updates.

Geoffrey (geoffrey-metais) wrote :

I didn't see any related update, but now I cannot connect wifi network at all.
I see wireless networks but when I try to connect, knetworkmanager fails to configure the wifi card (as if the wifi card were turned off)

Billie Thompson (billiecodes) wrote :

I am having the same issue combined with the connection dropping out at random moments.
I am using it in the same places where an Intel 2200 chipset performs at 54mbs, with no connection dropping.

I am using BCM4312 Rev 02
Ubuntu beta disk fresh install on an Compaq 6715s

Billie Thompson (billiecodes) wrote :

I would just like to add that I am also getting a lot of
"b43-phy0 ERROR: PHY transmission error" messages in my dmesg/syslog this may or may not be related to the problem, otherwise it's identical.

Matt (smokes2345) wrote :

I've was having the same problem on my dell 2650 laptop, but after running iwconfig <ifname> rate 54m and turning off cts protection on my AP, i was able to get download speeds of over 6MB/s using the speedtest at http://www.speakeasy.net/speedtest/. when looking at dmesg | grep <ifname> i noticed the interface is flapping between long and short preamble, but it doesn't seem to have an affect on the connection speed or reliability.

Matt (smokes2345) wrote :

sorry for the double post, but i just thought i'd mention i'm using dd-wrt v24 RC5 on a buffalo router for my AP

bardalla (elfo-37) wrote :

Same problem on a laptop Compaq Presario F500 with Broadcom 4311 (rev 1). I've tried to change the rate bit but over 1M interface doesn't work at all. The only way to make it work is at 1M. I didn't see any related update!

Eder Bastos (riskbreaker927) wrote :

Sorry if this comes out really rude, but I'm new to this launchpad thing and I would like to know.

What does it actually take to get this bug "confirmed?" Is about 15 posts from different users all saying "confirmed" somehow not enough?

The problem is still persisting on my Inspiron 1501, information posted above, even after upgrading to hardy release. The problem is NOT solved, and I'd like to know what I can do to speed it along.

be3st (stealthrabit) wrote :

I have a Dell Inspiron 1501 and BCM4312 802.11a/b/g
I fixed it with ( sudo iwconfig eth1 rate 11M ) It is not as fast as normal but it is good.

I have a Dell Latitude D505. Card is a BCM4309, 802.11a/b/g (rev 02). Distro is Hardy, using the
linux-image-2.6.24-16-generic 2.6.24-16.30 kernel.

b43legacy driver is used. However, iwconfig reports 1Mb/s bit rate, and trying to reset the rate I get:

$ sudo iwconfig eth0 rate 11m
Error for wireless request "Set Bit Rate" (8B20) :
    SET failed on device eth0 ; Invalid argument.

(Not sure that this should be a bug against b43-fwcutter, or against the kernel?)

André Klitzing (misery) wrote :

I had that problem in Ubuntu Hardy with 2.6.24, too. Since I use a vanilla 2.6.25 kernel (Arch Linux) I have no problems anymore. Everything is stable, no connection problems and no speed issues.

b43-phy0: Broadcom 4311 WLAN found
b43-phy0: Loading firmware version 410.2160 (2007-05-26 15:32:10)
Extracted from: 4.150.10.5

renezito (renezito) wrote :

I have a HP Pavilion dv6420la (AMD Turion 64 x2) with Ubuntu 8.04 (Hardy). First I was using Gutsy, I installed ndiswrapper with XP drivers and it worked very good. But hardy doesn't detects my device and installing ndiswrapper nothing happens.
lspci | grep 43
03:00.0 Network controller: Broadcom Corporation BCM4312 802.11a/b/g (rev 02)
iwconfig
lo no wireless extensions.
eth0 no wireless extensions.
If somebody found a solutions, please post it!!! Thanks!

Jeff Rash (jeffrash) wrote :

I have the same issue with my Dell D420. Has anyone found a fix yet?

carls (plsnospam) wrote :

FWIW, I spent the past month hacking Mandriva (2008 free) with different tools. And the same problem there.

So it looks like waiting for the next kernel update - except that this is "non-critical" but (for those unaffected...). So maybe two kernels away ?

In the future, I'll look at www.hardware4linux.info before springing for a distro. SOL with my current boxes...

Katia (kmswank) wrote :

Same problem on an HP Pavilion zv5000. Got wifi working, can see networks, but connection is very bad. When connected, it shows only 1Mb/s.

Tried sudo iwconfig wlan0 rate 54M... which just broke it further. Will try setting it to 11M, see if that helps at all.

No solutions, except possibly a kernel update, whenever that's going to happen?

kenden (kenden) wrote :

On a Dell D400 with Ubuntu 8.04 (kernel 2.6.24-19-generic) and
Broadcom Corporation BCM4309 802.11a/b/g [14e4:4324] (rev 03)

iwconfig also gives me:
Bit Rate=1 Mb/s

But doing the test http://www.speakeasy.net/speedtest/ gives me 5486 kbps.
I have 6mbps in theory, so this is fine, much more than 1 Mb/s.
For me 1 Mb/s seems to be just a wrong indication, not the actual transfert rate.

Chris H. (ahmshaegar) wrote :

This bug is undecided!? This is VERY critical.

with b43: Tx-Power=27 dBm
with ndiswrapper (8.04 makes using ndiswrapper very impractical): 32 dBm

No comparison. Range with ndiswrapper? 15 m+... and range with b43? hah. I'm more mobile with a 5 m ethernet cord! Some wireless!

Now, I've seen posts regarding this tx-power issue with Hardy betas, so this is not a new issue. I think we have a problem here.

Of course, nobody has any obligation to fix this. Ubuntu is mostly Free and certainly free, and I am thankful for that. It is my primary OS, and for me, there are no alternatives. However, this issue is more than slightly troublesome. It would be good if the bug can be addressed in a timely manner from this point on... Well, maybe not timely, since it has been a few months.

Oh well. Blame Broadcom! :)

exactt (giesbert) wrote :
Download full text (3.3 KiB)

setting to confirmed and changing package to linux as it is a kernel error.

07:00.0 Network controller [0280]: Broadcom Corporation BCM4306 802.11b/g Wireless LAN Controller [14e4:4320] (rev 02)
 Subsystem: Unknown device [02fa:3010]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 64
 Interrupt: pin A routed to IRQ 10
 Region 0: Memory at 3c000000 (32-bit, non-prefetchable) [size=8K]
 Capabilities: [40] Power Management version 2
  Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
  Status: D0 PME-Enable- DSel=0 DScale=2 PME-

dmesg outputs:
[ 1040.612808] pccard: CardBus card inserted into slot 1
[ 1040.613074] PCI: Enabling device 0000:07:00.0 (0000 -> 0002)
[ 1040.613093] ACPI: PCI Interrupt 0000:07:00.0[A] -> Link [LNKB] -> GSI 10 (level, low) -> IRQ 10
[ 1040.613114] PCI: Setting latency timer of device 0000:07:00.0 to 64
[ 1040.613159] ssb: Core 0 found: ChipCommon (cc 0x800, rev 0x02, vendor 0x4243)
[ 1040.613172] ssb: Core 1 found: IEEE 802.11 (cc 0x812, rev 0x04, vendor 0x4243)
[ 1040.613184] ssb: Core 2 found: PCMCIA (cc 0x80D, rev 0x01, vendor 0x4243)
[ 1040.613195] ssb: Core 3 found: V90 (cc 0x807, rev 0x01, vendor 0x4243)
[ 1040.613206] ssb: Core 4 found: PCI (cc 0x804, rev 0x07, vendor 0x4243)
[ 1040.613218] ssb: Core 5 found: IEEE 802.11 (cc 0x812, rev 0x04, vendor 0x4243)
[ 1040.613224] ssb: Ignoring additional 802.11 core
[ 1040.616978] b43legacy-phy1: Broadcom 4306 WLAN found
[ 1040.644775] b43legacy-phy1 debug: Found PHY: Analog 1, Type 2, Revision 1
[ 1040.644812] b43legacy-phy1 debug: Found Radio: Manuf 0x17F, Version 0x2050, Revision 2
[ 1040.668771] b43legacy-phy1 debug: Radio initialized
[ 1040.671837] phy1: Selected rate control algorithm 'simple'
[ 1040.673687] ssb: Sonics Silicon Backplane found on PCI device 0000:07:00.0
[ 764.268309] b43legacy-phy1 debug: Loading firmware version 0x127, patch level 14 (2005-04-18 02:36:27)
[ 764.337623] b43legacy-phy1 debug: Chip initialized
[ 764.338482] b43legacy-phy1 debug: 30-bit DMA initialized
[ 764.341582] b43legacy-phy1 debug: Wireless interface started
[ 764.349425] b43legacy-phy1 debug: Adding Interface type 2
[ 764.350885] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 1055.372402] wlan0: Initial auth_alg=0
[ 1055.372419] wlan0: authenticate with AP 00:15:0c:b9:36:7a
[ 1055.375683] wlan0: RX authentication from 00:15:0c:b9:36:7a (alg=0 transaction=2 status=0)
[ 1055.375695] wlan0: authenticated
[ 1055.375703] wlan0: associate with AP 00:15:0c:b9:36:7a
[ 1055.381858] wlan0: RX AssocResp from 00:15:0c:b9:36:7a (capab=0x411 status=0 aid=1)
[ 1055.381870] wlan0: associated
[ 1055.381969] wlan0: WMM queue=2 aci=0 acm=0 aifs=3 cWmin=15 cWmax=1023 burst=0
[ 1055.381979] wlan0: WMM queue=3 aci=1 acm=0 aifs=7 cWmin=15 cWmax=1023 burst=0
[ 1055.381988] wlan0: WMM queue=1 aci=2 acm=0 aifs=2 cWmin=7 cWmax=15 burst=30
[ 1055.381996] wlan0: WMM queue=0 aci=3 acm=0 aifs=2 cWmin=3 cWmax=7 burst=15
[ 1055.382557] ADDRCONF(NETDEV_CHANGE): wlan0: link becom...

Read more...

Changed in b43-fwcutter:
status: New → Confirmed
Geoffrey (geoffrey-metais) wrote :

Do the last linux-image updates fix it ?

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Slogger (slogger) wrote :

I am having this issue on intrepid alpha. It seems to be why wireless is erratic. Often times connection speed of 1-6 Mb/s and much slower performance. Should be connecting at much higher speeds.

I was having the same problem, but also i tried the peedee solution, and it was fantastic.
Thanks a lot.
=========
Running Ubuntu 8.04 Hardy Heron
Kernel 2.6.24-21.50
Restricted modules b43-fwcutter

Stephen Ostrow (isleshocky77) wrote :

I'm running intrepid beta and still having this problem.
I have :
Compaq Presario 2575us
Broadcom Corp BCM4306 (rev 02)
kernel 2.6.27-4-generic

This computer used to run well on Ubuntu 7.10 but started having this problem in 8.04 and continues in 8.10 beta

Ryan Fugger (rfugger) wrote :

Just upgraded to intrepid release from hardy, still having this problem (b43 runs at 1 Mb/s). Now to get ndiswrapper working again (upgrade broke it -- will file under its own bug).

Geoffrey (geoffrey-metais) wrote :

With intrepid I don't have this issue anymore,
the knetworkmanager display is wrong but my wifi connection is OK now.

With iwconfig I see a brandwith between 11 and 48 mb/s, wich is normal for me.

Arnaud Soyez (weboide) wrote :

Confirmed in 8.10 with a BCM4306 (rev 02).

I get 1 or 2mb/s and it's kind of laggy.

with ndiswrapper i get 54mb/s.

kenden (kenden) wrote :

On 8.10 with driver zd1211rw, I get 54mb/s. But the connection quality varies a lot, between 0 and 100%.

DocGreen (risseb) wrote :

Fresh Ubuntu 8.10
Same Problem
rt2500pci at 1MBit/s
[sudo iwconfig waln0 rate 54M fixed] works, but after restart rate is at 1MBit again.

Akdo (menoft) wrote :

same issue on hardy 32bit,
I have 12 Mbit and the connection is unreliable but with ndiswrapper I have 54Mbit and detection fiable.

If I use b43 and b43-fwcutter, and on other ssid ( farest ), NetworkManager shows a good signal, but in reality with ndiswrapper this must be a lower signal : see sreenshot :

With b43, sbb, b43-fwcutter:

wlan0 IEEE 802.11g ESSID:"xxxxxx"
          Mode:Managed Frequency:2.432 GHz Access Point: 00:xx:xx:xx:xx:xx
          Bit Rate=1 Mb/s Tx-Power=27 dBm
          Retry min limit:7 RTS thr:off Fragment thr=2346 B
          Link Quality=86/100 Signal level=-46 dBm Noise level=-69 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

With ndiswrapper :
wlan0 IEEE 802.11g ESSID:"xxxxxx"
          Mode:Managed Frequency:2.432 GHz Access Point: 00:xx:xx:xx:xx:xx
          Bit Rate=54 Mb/s Tx-Power:32 dBm
          RTS thr:2347 B Fragment thr:2346 B
          Power Management:off
          Link Quality:70/100 Signal level:-51 dBm Noise level:-96 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

On sreenshot Network Manager :
left : with b43, ssb

I hit 27 dbm with
sudo iwconfig wlan0 txpower 399mW

right : with ndiswrapper
I hit 27 dbm with
sudo iwconfig wlan0 txpower 410mW

Akdo (menoft) wrote :

Hi there,

Recently I swith to Intrepid and connection is much better but not perfect.
Indeed, connection can reach this 54 Mbit/s but is not stable, Bit rate fluctuate a lot ( between 18 Mbit and 54Mbit/s event when I don't move. I'm about 10 metter to the AP but this bite rate change often.

wlan0 IEEE 802.11bg ESSID:"xxx"
          Mode:Managed Frequency:2.432 GHz Access Point: 00:xx:xx:xx:xx:xx
          Bit Rate=36 Mb/s Tx-Power=27 dBm
          Retry min limit:7 RTS thr:off Fragment thr=2352 B
          Power Management:off
          Link Quality=80/100 Signal level:-64 dBm Noise level=-67 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

wlan0 IEEE 802.11bg ESSID:"xxx"
          Mode:Managed Frequency:2.432 GHz Access Point: 00:xx:xx:xx:xx:xx
          Bit Rate=48 Mb/s Tx-Power=27 dBm
          Retry min limit:7 RTS thr:off Fragment thr=2352 B
          Power Management:off
          Link Quality=79/100 Signal level:-65 dBm Noise level=-69 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

wlan0 IEEE 802.11bg ESSID:"hosgeldinizz"
          Mode:Managed Frequency:2.432 GHz Access Point: 00:xx:xx:xx:xx:xx
          Bit Rate=24 Mb/s Tx-Power=27 dBm
          Retry min limit:7 RTS thr:off Fragment thr=2352 B
          Power Management:off
          Link Quality=80/100 Signal level:-64 dBm Noise level=-69 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

wlan0 IEEE 802.11bg ESSID:"xxx"
          Mode:Managed Frequency:2.432 GHz Access Point: 00:xx:xx:xx:xx:xx
          Bit Rate=18 Mb/s Tx-Power=27 dBm
          Retry min limit:7 RTS thr:off Fragment thr=2352 B
          Power Management:off
          Link Quality=75/100 Signal level:-68 dBm Noise level=-69 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

Linux mirage 2.6.27-9-generic #1 SMP Thu Nov 20 21:57:00 UTC 2008 i686 GNU/Linux
Distributor ID: Ubuntu
Description: Ubuntu 8.10
Release: 8.10
Codename: intrepid

Douglas King (douglask) wrote :

A fix for this has been posted to the upstream Kernel Mailing list as of 2.6.26:

From: Larry Finger <Larry.Finger@xxxxxxxxxxxx>

commit c6a2afdacccd56cc0be8e9a7977f0ed1509069f6 upstream
Date: Sat, 6 Sep 2008 16:51:22 -0500
Subject: [patch 07/26] b43legacy: Fix failure in rate-adjustment mechanism

A coding error present since b43legacy was incorporated into the
kernel has prevented the driver from using the rate-setting mechanism
of mac80211. The driver has been forced to remain at a 1 Mb/s rate.

Signed-off-by: Larry Finger <Larry.Finger@xxxxxxxxxxxx>
Signed-off-by: John W. Linville <linville@xxxxxxxxxxxxx>
Signed-off-by: Greg Kroah-Hartman <gregkh@xxxxxxx>

---
drivers/net/wireless/b43legacy/xmit.c | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

--- a/drivers/net/wireless/b43legacy/xmit.c
+++ b/drivers/net/wireless/b43legacy/xmit.c
@@ -626,7 +626,7 @@ void b43legacy_handle_hwtxstatus(struct
tmp = hw->count;
status.frame_count = (tmp >> 4);
status.rts_count = (tmp & 0x0F);
- tmp = hw->flags;
+ tmp = hw->flags << 1;
status.supp_reason = ((tmp & 0x1C) >> 2);
status.pm_indicated = !!(tmp & 0x80);
status.intermediate = !!(tmp & 0x40);

In the mean time, I'm off to find a stock kernel and see if it plays nice. Cheers!

Thomas Bechtold (toabctl) wrote :

i can confirm the bug with 9.04 alias jaunty (32-bit version). I have installed the backports (see infos)

here are the infos:

### BEGIN INFO ###

$ uname -a
Linux natalie-laptop 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:57:59 UTC 2009 i686 GNU/Linux

$ dpkg -l|grep backports
ii linux-backports-modules-2.6.28-11-generic 2.6.28-11.12 Ubuntu supplied Linux modules for version 2.6.28 on x86/
ii linux-backports-modules-jaunty 2.6.28.11.15 Generic Linux backported drivers.
ii linux-backports-modules-jaunty-generic 2.6.28.11.15 Backported drivers for generic kernel image

$ lspci|grep Broad
06:02.0 Network controller: Broadcom Corporation BCM4318 [AirForce One 54g] 802.11g Wireless LAN Controller (rev 02)

$ lsmod|grep b43
b43 136732 0
ssb 53128 1 b43
lbm_cw_mac80211 227364 1 b43
lbm_cw_cfg80211 73760 2 b43,lbm_cw_mac80211
led_class 12036 1 b43
input_polldev 11912 1 b43
pcmcia 44748 2 b43,ssb
pcmcia_core 43540 5 b43,ssb,pcmcia,yenta_socket,rsrc_nonstatic

$ iwconfig wlan0
wlan0 IEEE 802.11bg ESSID:"kackepappe"
          Mode:Managed Frequency:2.462 GHz Access Point: 00:0C:F6:35:BC:E3
          Bit Rate=1 Mb/s Tx-Power=27 dBm
          Retry min limit:7 RTS thr:off Fragment thr=2352 B
          Power Management:off
          Link Quality=53/70 Signal level=-57 dBm Noise level=-71 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

### END INFO ###

i can do:
$ sudo iwconfig wlan0 rate 11M
$ sudo /etc/init.d/NetworkManager restart

that works for me. See:
$ iwconfig wlan0
wlan0 IEEE 802.11bg ESSID:"kackepappe"
          Mode:Managed Frequency:2.462 GHz Access Point: 00:0C:F6:35:BC:E3
          Bit Rate=11 Mb/s Tx-Power=27 dBm
          Retry min limit:7 RTS thr:off Fragment thr=2352 B
          Power Management:off
          Link Quality=54/70 Signal level=-56 dBm Noise level=-70 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

When i restart, i always have to set the rate to 11M.

eeeAsus (lennie-privat) wrote :

I can confirm the behavior described of Thomas, same problem on an asus eeePC G4 Atheros AR5BXB63 always have to disable wlan0 change rate enable and restart networkmanager.
how to get the rate permanently?
in /etc/network/interfaces or networkmanager wants it elsewere?

Piers Walter (pierswalter3) wrote :

I have A Toshiba Portege 4005 with a belkin F5D7010 wireless card and all I had to do to coneect it at full speed was to uplug it and plug it in again. Hope this helps I know it is only a simple solution but it worked for me. I get 5 mb/s now on my wi-fi. Piers Walter :)

simon@syd (jenzstyleexpress) wrote :

I confirm this and would like to reiterate its importance.

I have posted my experiences in the ubuntu forum: http://ubuntuforums.org/showthread.php?t=1227509&highlight=pernicious

More info- my hardware is an eee pc, the 900 with the celeron. Also the 701.

Note that in the end I found that Opensuse(gnome) did not display the same issue.

Simon

Rogerborg (rogerborg) wrote :

Problem still extant in 9.04 2.6.28-15 with the rt2500pci driver.

$ uname -a
Linux reliant 2.6.28-15-generic #49-Ubuntu SMP Tue Aug 18 19:25:34 UTC 2009 x86_64 GNU/Linux

$ dmesg | grep wlan0
[ 37.832962] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 53.860368] wlan0: direct probe to AP 00:13:d3:7f:18:2f try 1
[ 53.862350] wlan0 direct probe responded
[ 53.862356] wlan0: authenticate with AP 00:13:d3:7f:18:2f
[ 53.864016] wlan0: authenticated
[ 53.864019] wlan0: associate with AP 00:13:d3:7f:18:2f
[ 53.866591] wlan0: RX AssocResp from 00:13:d3:7f:18:2f (capab=0x431 status=0 aid=1)
[ 53.866593] wlan0: associated
[ 53.867089] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[ 64.172022] wlan0: no IPv6 routers present

$ sudo lspci -vv
...
02:01.0 Network controller: RaLink RT2500 802.11g Cardbus/mini-PCI (rev 01)
 Subsystem: Belkin Device 700a
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 64, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 21
 Region 0: Memory at fddfc000 (32-bit, non-prefetchable) [size=8K]
 Capabilities: [40] Power Management version 2
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Kernel driver in use: rt2500pci
 Kernel modules: rt2500pci
...

$ iwconfig wlan0
wlan0 IEEE 802.11bg ESSID:"Angband-NAT"
          Mode:Managed Frequency:2.462 GHz Access Point: 00:13:D3:7F:18:2F
          Bit Rate=1 Mb/s Tx-Power=20 dBm
          Retry min limit:7 RTS thr:off Fragment thr=2352 B
          Power Management:on
          Link Quality=70/100 Signal level:-55 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

$ sudo iwconfig wlan0 rate 54M
$ sleep 5
$ iwconfig wlan0
wlan0 IEEE 802.11bg ESSID:"Angband-NAT"
          Mode:Managed Frequency:2.462 GHz Access Point: 00:13:D3:7F:18:2F
          Bit Rate=54 Mb/s Tx-Power=20 dBm
          Retry min limit:7 RTS thr:off Fragment thr=2352 B
          Power Management:on
          Link Quality=70/100 Signal level:-56 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

$ sudo iwconfig wlan0 rate auto
$ sleep 5
$ iwconfig wlan0
wlan0 IEEE 802.11bg ESSID:"Angband-NAT"
          Mode:Managed Frequency:2.462 GHz Access Point: 00:13:D3:7F:18:2F
          Bit Rate=1 Mb/s Tx-Power=20 dBm
          Retry min limit:7 RTS thr:off Fragment thr=2352 B
          Power Management:on
          Link Quality=50/100 Signal level:-57 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

Download full text (3.2 KiB)

Rogerborg wrote:

Just open a terminal and type in sudo su
type in administrator password,
then type in iwconfig wlan0 rate 54M and that will connect you at 54M/bs
> Problem still extant in 9.04 2.6.28-15 with the rt2500pci driver.
>
> $ uname -a
> Linux reliant 2.6.28-15-generic #49-Ubuntu SMP Tue Aug 18 19:25:34 UTC 2009 x86_64 GNU/Linux
>
> $ dmesg | grep wlan0
> [ 37.832962] ADDRCONF(NETDEV_UP): wlan0: link is not ready
> [ 53.860368] wlan0: direct probe to AP 00:13:d3:7f:18:2f try 1
> [ 53.862350] wlan0 direct probe responded
> [ 53.862356] wlan0: authenticate with AP 00:13:d3:7f:18:2f
> [ 53.864016] wlan0: authenticated
> [ 53.864019] wlan0: associate with AP 00:13:d3:7f:18:2f
> [ 53.866591] wlan0: RX AssocResp from 00:13:d3:7f:18:2f (capab=0x431 status=0 aid=1)
> [ 53.866593] wlan0: associated
> [ 53.867089] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
> [ 64.172022] wlan0: no IPv6 routers present
>
> $ sudo lspci -vv
> ...
> 02:01.0 Network controller: RaLink RT2500 802.11g Cardbus/mini-PCI (rev 01)
> Subsystem: Belkin Device 700a
> Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> Latency: 64, Cache Line Size: 64 bytes
> Interrupt: pin A routed to IRQ 21
> Region 0: Memory at fddfc000 (32-bit, non-prefetchable) [size=8K]
> Capabilities: [40] Power Management version 2
> Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
> Status: D0 PME-Enable- DSel=0 DScale=0 PME-
> Kernel driver in use: rt2500pci
> Kernel modules: rt2500pci
> ...
>
> $ iwconfig wlan0
> wlan0 IEEE 802.11bg ESSID:"Angband-NAT"
> Mode:Managed Frequency:2.462 GHz Access Point: 00:13:D3:7F:18:2F
> Bit Rate=1 Mb/s Tx-Power=20 dBm
> Retry min limit:7 RTS thr:off Fragment thr=2352 B
> Power Management:on
> Link Quality=70/100 Signal level:-55 dBm
> Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
> Tx excessive retries:0 Invalid misc:0 Missed beacon:0
>
> $ sudo iwconfig wlan0 rate 54M
> $ sleep 5
> $ iwconfig wlan0
> wlan0 IEEE 802.11bg ESSID:"Angband-NAT"
> Mode:Managed Frequency:2.462 GHz Access Point: 00:13:D3:7F:18:2F
> Bit Rate=54 Mb/s Tx-Power=20 dBm
> Retry min limit:7 RTS thr:off Fragment thr=2352 B
> Power Management:on
> Link Quality=70/100 Signal level:-56 dBm
> Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
> Tx excessive retries:0 Invalid misc:0 Missed beacon:0
>
> $ sudo iwconfig wlan0 rate auto
> $ sleep 5
> $ iwconfig wlan0
> wlan0 IEEE 802.11bg ESSID:"Angband-NAT"
> Mode:Managed Frequency:2.462 GHz Access Point: 00:13:D3:7F:18:2F
> Bit Rate=1 Mb/s Tx-Power=20 dBm
> Retry min limit:7 RTS thr:off Fragment thr=2352 B
> Power Management:on
> Link Quality=50/100 Signal level:-57 dBm
> Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
> ...

Read more...

I installed alpha 4 of the ubuntu 9.10. It seems to be better: the wireless rate varies up to 54mb/s, internet connection generally does seem faster. This is all totally subjective though - might just be the glow of using a nice new ubuntu. Hopefully it was an issue that was attended to in the new version? I'll have to see if I can find a list of bugs that were squashed for the new release.

I like using ubuntu a lot, but this problem never occured with the winXP install that the computer came with. It hurts me to say that; I hope the problem has gone away.

Simon

Same problem here with an old Linksys Wireless-G Notebook Adapter on a fresh install of Jaunty. Stuck at 1 MB/s! Internet and download speeds are slow (around 60 KB/s with wireless, 800 KB/s when I plug into Ethernet). "sudo iwconfig wlan0 rate 54M" does set the card's speed to 54 MB/s.

****@Ubuntu-Vaio-Old:~$ lspci | grep -i wireless
03:00.0 Network controller: Broadcom Corporation BCM4306 802.11b/g Wireless LAN Controller (rev 02)
****@Ubuntu-Vaio-Old:~$

Download full text (3.9 KiB)

I've been trying the beta of koala - and I swear the problem has entirely
gone away...

On Sun, Oct 18, 2009 at 4:00 AM, AnonPerson <
<email address hidden><thepenguinbox%<email address hidden>>
> wrote:

> Same problem here with an old Linksys Wireless-G Notebook Adapter on a
> fresh install of Jaunty. Stuck at 1 MB/s! Internet and download speeds
> are slow (around 60 KB/s with wireless, 800 KB/s when I plug into
> Ethernet). "sudo iwconfig wlan0 rate 54M" does set the card's speed to
> 54 MB/s.
>
> ****@Ubuntu-Vaio-Old:~$ lspci | grep -i wireless
> 03:00.0 Network controller: Broadcom Corporation BCM4306 802.11b/g Wireless
> LAN Controller (rev 02)
> ****@Ubuntu-Vaio-Old:~$
>
> --
> Wifi working but at 1Mb/s
> https://bugs.launchpad.net/bugs/201225
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “b43-fwcutter” package in Ubuntu: New
> Status in “linux” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: b43-fwcutter
>
> ritch@ritch-laptop:~$ DISTRIB_ID=Ubuntu
> ritch@ritch-laptop:~$ DISTRIB_RELEASE=8.04
> ritch@ritch-laptop:~$ DISTRIB_CODENAME=hardy
> ritch@ritch-laptop:~$ uname -a
> Linux ritch-laptop 2.6.24-12-generic #1 SMP Mon Mar 10 15:32:00 UTC 2008
> i686 GNU/Linux
> ritch@ritch-laptop:~$ apt-cache policy b43-fwcutter
> b43-fwcutter:
> Installé : 1:011-1
> Candidat : 1:011-1
> Table de version :
> *** 1:011-1 0
> 500 http://fr.archive.ubuntu.com hardy/universe Packages
> 100 /var/lib/dpkg/status
>
>
> -----------------------------------------------------------------------------------------------------------------
> I have a probleme with the speed of my wifi network, in first i would like
> to tell that on Gusty and with the bcm43xx all work perfect. since i make a
> fresh install of hardy i can make working my wifi but at 1Mb/s :
>
> iwconfig
> lo no wireless extensions.
>
> eth0 no wireless extensions.
>
> wmaster0 no wireless extensions.
>
> wlan0 IEEE 802.11g ESSID:"XXXXXXXX"
> Mode:Managed Frequency:2.412 GHz Access Point: 00:0F:XXXXXXX0
> Bit Rate=1 Mb/s Tx-Power=27 dBm
> Retry min limit:7 RTS thr:off Fragment thr=2346 B
> Link Quality=86/100 Signal level=-88 dBm Noise level=-68 dBm
> Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
>
>
> my laptop is a DELL D420 with Broadcom 4311 rev 01
>
> lsmod | grep b43
> b43 118176 0
> rfkill 8592 3 rfkill_input,b43
> mac80211 165652 1 b43
> led_class 6020 1 b43
> input_polldev 5896 1 b43
> ssb 32772 1 b43
>
> dsmeg give me :
> [ 200.598275] b43-phy0: Broadcom 4311 WLAN found
> [ 200.670930] phy0: Selected rate control algorithm 'simple'
> [ 200.948601] b43-phy1: Broadcom 4311 WLAN found
> [ 201.019070] phy1: Selected rate control algorithm 'simple'
> [ 201.132411] input: b43-phy1 as /devices/virtual/input/input9
> [ 202.817729] Registered led device: b43-phy1:tx
> [ 202.818325] Registered led device: b43-phy1:rx
> [ 202.818826] Registered led device: b43-phy1:radio
> [ 202.864509] ADDRCO...

Read more...

peedee (troepvoordeprullenbak) wrote :
Download full text (4.1 KiB)

I al most delete your email. (due spam)

Try to vind an other networkcard... in my case a intel solved the probelem.

Succes!!!

> Date: Sat, 17 Oct 2009 17:00:18 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 201225] Re: Wifi working but at 1Mb/s
>
> Same problem here with an old Linksys Wireless-G Notebook Adapter on a
> fresh install of Jaunty. Stuck at 1 MB/s! Internet and download speeds
> are slow (around 60 KB/s with wireless, 800 KB/s when I plug into
> Ethernet). "sudo iwconfig wlan0 rate 54M" does set the card's speed to
> 54 MB/s.
>
> ****@Ubuntu-Vaio-Old:~$ lspci | grep -i wireless
> 03:00.0 Network controller: Broadcom Corporation BCM4306 802.11b/g Wireless LAN Controller (rev 02)
> ****@Ubuntu-Vaio-Old:~$
>
> --
> Wifi working but at 1Mb/s
> https://bugs.launchpad.net/bugs/201225
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “b43-fwcutter” package in Ubuntu: New
> Status in “linux” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: b43-fwcutter
>
> ritch@ritch-laptop:~$ DISTRIB_ID=Ubuntu
> ritch@ritch-laptop:~$ DISTRIB_RELEASE=8.04
> ritch@ritch-laptop:~$ DISTRIB_CODENAME=hardy
> ritch@ritch-laptop:~$ uname -a
> Linux ritch-laptop 2.6.24-12-generic #1 SMP Mon Mar 10 15:32:00 UTC 2008 i686 GNU/Linux
> ritch@ritch-laptop:~$ apt-cache policy b43-fwcutter
> b43-fwcutter:
> Installé : 1:011-1
> Candidat : 1:011-1
> Table de version :
> *** 1:011-1 0
> 500 http://fr.archive.ubuntu.com hardy/universe Packages
> 100 /var/lib/dpkg/status
>
> -----------------------------------------------------------------------------------------------------------------
> I have a probleme with the speed of my wifi network, in first i would like to tell that on Gusty and with the bcm43xx all work perfect. since i make a fresh install of hardy i can make working my wifi but at 1Mb/s :
>
> iwconfig
> lo no wireless extensions.
>
> eth0 no wireless extensions.
>
> wmaster0 no wireless extensions.
>
> wlan0 IEEE 802.11g ESSID:"XXXXXXXX"
> Mode:Managed Frequency:2.412 GHz Access Point: 00:0F:XXXXXXX0
> Bit Rate=1 Mb/s Tx-Power=27 dBm
> Retry min limit:7 RTS thr:off Fragment thr=2346 B
> Link Quality=86/100 Signal level=-88 dBm Noise level=-68 dBm
> Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
>
>
> my laptop is a DELL D420 with Broadcom 4311 rev 01
>
> lsmod | grep b43
> b43 118176 0
> rfkill 8592 3 rfkill_input,b43
> mac80211 165652 1 b43
> led_class 6020 1 b43
> input_polldev 5896 1 b43
> ssb 32772 1 b43
>
> dsmeg give me :
> [ 200.598275] b43-phy0: Broadcom 4311 WLAN found
> [ 200.670930] phy0: Selected rate control algorithm 'simple'
> [ 200.948601] b43-phy1: Broadcom 4311 WLAN found
> [ 201.019070] phy1: Selected rate control algorithm 'simple'
> [ 201.132411] input: b43-phy1 as /devices/virtual/input/input9
> [ 202.817729] Registered led device: b43-phy1:tx
> [ 202.81832...

Read more...

This is still a problem for me with a Dell D610 and a D600, both using b43legacy modules. I get the following in my syslog by the scad:

b43legacy-phy0 ERROR: PHY transmission error

I did put in the /etc/init.d a script having the following:

#! /bin/bash
iwconfig wlan1 rate 11M

and it seems to be a kind of work around.

Rob

dazza5000 (darran-kelinske) wrote :

I am having this issue with Broadcom Corporation BCM4311 802.11b/g WLAN on Karmic.

Przemek K. (azrael) wrote :

not a fwcutter bug

Changed in b43-fwcutter (Ubuntu):
status: New → Invalid
antonio (valdesmoralesantonio) wrote :

Same problem here with ubuntu 9.10 on a Toshiba Satellite A300.

Nick Sarten (gen-battle) wrote :

Same problem here with Ubuntu 10.10 on an Acer Aspire One 522, which uses a Broadcom chipset (BCM4313).

My educated guess is that the binary blob Broadcom driver is to blame, so i guess this bug is kind of irrelevant post-natty because the 2.6.38 kernel includes an open source broadcom driver for this chipset.

MoLE (moleonthehill) wrote :

Confirming this is still present in the latest natty kernel. Using an internal PCI card with the BC4313 chipset.

MoLE (moleonthehill) wrote :

Correction - actually the BC4318 chipset - which uses the b43 driver

01:07.0 Network controller [0280]: Broadcom Corporation BCM4318 [AirForce One 54g] 802.11g Wireless LAN Controller [14e4:4318] (rev 02)

Aleksei (tav-susp) wrote :

acer aspire 5670, intel 3945 - the same

Elringer, thank you for reporting this and helping make Ubuntu better. This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: hardy needs-upstream-testing
summary: - Wifi working but at 1Mb/s
+ BCM4312 Wifi working but at 1Mb/s
Baditaflorin (baditaflorin) wrote :
Download full text (149.4 KiB)

I have upgraded from ubuntu 11.10 to 12.04 . Same Problem.

I will Quit Ubuntu if i will still have the same problem. It`s too annoying, and stressful . Give me some more simple setting to maximize the power, the setting from iwconfig are useless. imposible to change, at least tx-power. Anyway, good for making a good operating system.

output for dmesg

[ 7731.779159] cfg80211: (5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[ 7731.779166] cfg80211: (5490000 KHz - 5710000 KHz @ 40000 KHz), (N/A, 2700 mBm)
[ 7846.864426] cfg80211: Found new beacon on frequency: 5180 MHz (Ch 36) on phy0
[ 7999.245120] iwl4965 0000:07:00.0: iwl4965_tx_agg_start on ra = 14:d6:4d:79:af:ba tid = 0
[ 8035.435453] cfg80211: All devices are disconnected, going to restore regulatory settings
[ 8035.435467] cfg80211: Restoring regulatory settings
[ 8035.435476] cfg80211: Calling CRDA to update world regulatory domain
[ 8035.446886] cfg80211: Ignoring regulatory request Set by core since the driver uses its own custom regulatory domain
[ 8035.446896] cfg80211: World regulatory domain updated:
[ 8035.446901] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 8035.446910] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 8035.446917] cfg80211: (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 8035.446925] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 8035.446932] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 8035.446939] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 8037.667941] wlan0: authenticate with 14:d6:4d:79:af:ba (try 1)
[ 8037.864068] wlan0: authenticate with 14:d6:4d:79:af:ba (try 2)
[ 8037.865346] wlan0: authenticated
[ 8037.866017] wlan0: associate with 14:d6:4d:79:af:ba (try 1)
[ 8038.064154] wlan0: associate with 14:d6:4d:79:af:ba (try 2)
[ 8038.066314] wlan0: RX ReassocResp from 14:d6:4d:79:af:ba (capab=0xc11 status=0 aid=2)
[ 8038.066318] wlan0: associated
[ 8038.094060] cfg80211: Calling CRDA for country: GB
[ 8038.098009] cfg80211: Updating information on frequency 2412 MHz for a 20 MHz width channel with regulatory rule:
[ 8038.098013] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
[ 8038.098016] cfg80211: Updating information on frequency 2417 MHz for a 20 MHz width channel with regulatory rule:
[ 8038.098019] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
[ 8038.098021] cfg80211: Updating information on frequency 2422 MHz for a 20 MHz width channel with regulatory rule:
[ 8038.098024] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
[ 8038.098026] cfg80211: Updating information on frequency 2427 MHz for a 20 MHz width channel with regulatory rule:
[ 8038.098029] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
[ 8038.098031] cfg80211: Updating information on frequency 2432 MHz for a 20 MHz width channel with regulatory rule:
[ 8038.098034] cfg80211: 2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A mBi, 2000 mBm)
[ 8038.098036] cfg80211: Updating information on frequency 2437 MHz for a 20...

Baditaflorin (baditaflorin) wrote :

IEEE 802.11abgn ESSID:"etajul 2"
          Mode:Managed Frequency:2.462 GHz Access Point: 14:D6:4D:79:AF:BA
          Bit Rate=1 Mb/s Tx-Power=15 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=43/70 Signal level=-67 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:1 Invalid misc:51 Missed beacon:0

Baditaflorin, please execute the following via the Terminal and feel free to subscribe me to it:
ubuntu-bug linux

Thanks!

Baditaflorin (baditaflorin) wrote :

I tried with the setting to change the bit rate, in 55M i got

wlan0 IEEE 802.11abgn ESSID:"etajul 2"
          Mode:Managed Frequency:2.462 GHz Access Point: 14:D6:4D:79:AF:BA
          Bit Rate=54 Mb/s Tx-Power=15 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=48/70 Signal level=-62 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:1761 Invalid misc:3048 Missed beacon:0
and after disconnect and in

11 M i got

wlan0 IEEE 802.11abgn ESSID:"etajul 2"
          Mode:Managed Frequency:2.462 GHz Access Point: 14:D6:4D:79:AF:BA
          Bit Rate=54 Mb/s Tx-Power=15 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=48/70 Signal level=-62 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:1761 Invalid misc:3048 Missed beacon:0

This si only after 5 minutes of using it

Baditaflorin, please stop making comments in this report. If you are having a problem in Ubuntu please follow the instructions already requested of you in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/201225/comments/64 .

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions